### Virtual Method

# EDataServer SourceRegistry credentials_required

#### Declaration [src]

    void
    credentials_required (
      ESourceRegistry* registry,
      ESource* source,
      ESourceCredentialsReason reason,
      const gchar* certificate_pem,
      GTlsCertificateFlags certificate_errors,
      const GError* op_error
    )

#### Description

No description available.

#### Parameters

`source`

  Type: `ESource`

  No description available.

  The data is owned by the caller of the method.

`reason`

  Type: `ESourceCredentialsReason`

  No description available.

`certificate_pem`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`certificate_errors`

  Type: `GTlsCertificateFlags`

  No description available.

`op_error`

  Type: `GError`

  No description available.

  The data is owned by the caller of the method.